\name{GenBrksCols}
\alias{GenBrksCols}
\title{Generate Colours and Breaks}
\description{
Generates breaks and colours to be used in legends of map plots, taking
a data array as inputs. Takes the colour palette defined in clim.colours().
}
\usage{
GenBrksCols(var, n = 21, digits = 2)
}
\arguments{
  \item{var}{
Numeric array of data the breaks and colours for which have to be generated.
  }
  \item{n}{
Number of breaks (number of colours + 1) to be generated.
  }
  \item{digits}{
Number of decimal digits to be kept for the values of the breaks.
  }
}
\examples{
bc <- GenBrksCols(sampleMap$mod, 100, 1)
ColorBar(bc$brks, bc$cols)
}
\keyword{datagen}
